--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: If a Numeric <tt>key</tt> is provided, the single colour value at that position will be returned. If a String <tt>key</tt> is provided, the colour set (an array) for that colour name will be returned.
full_name: Color::Palette::AdobeColor#[]
is_singleton: false
name: "[]"
params: (key)
visibility: public
